Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357028 - When default-ca is updated, the candlepin amqp keystore is not updated
Summary: When default-ca is updated, the candlepin amqp keystore is not updated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 14:01 UTC by Ivan Necas
Modified: 2018-09-04 17:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:59:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16918 None None None 2016-10-13 16:15:12 UTC

Description Ivan Necas 2016-07-15 14:01:17 UTC
Description of problem:
When a new default-ca gets generated (which should be pretty rare case)
and can happen for example when the /root/ssl-build directory is removed
without a backup, the installer generates a new ca, but it fails
updating the /etc/candlepin/certs/amqp directory with the new ca, which causes issues when connecting to qpid later.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. satellite-installer --scenario=satellite
2. rm -rf /root/ssl-build
3. satellite-installer


Actual results:

candlepin doesn't start, causing errors in db:seed:

2016-07-15 13:43:57 [app] [W] Katello::Resources::Candlepin::CandlepinPing: 404 Resource Not Found  (GET /candlepin/status)
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:48:in `return!'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:230:in `process_result'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/restclient_ext/request.rb:50:in `block in transmit'
 | /opt/rh/rh-ruby22/root/usr/share/ruby/net/http.rb:853:in `start'


with this errors in /var/log/messages

Jul 15 13:34:35 localhost qpidd[20788]: 2016-07-15 13:34:35 [System] error Connection qpid.192.168.121.41:5671-192.168.121.41:51208 No protocol received closing
Jul 15 13:34:35 localhost qpidd: 2016-07-15 13:34:35 [System] error Connection qpid.192.168.121.41:5671-192.168.121.41:51208 No protocol received closing
Jul 15 13:34:45 localhost qpidd: 2016-07-15 13:34:45 [System] error Connection qpid.192.168.121.41:5671-192.168.121.41:51210 No protocol received closing
Jul 15 13:34:45 localhost qpidd[20788]: 2016-07-15 13:34:45 [System] error Connection qpid.192.168.121.41:5671-192.168.121.41:51210 No protocol received closing
Jul 15 13:34:48 localhost server: Jul 15, 2016 1:34:48 PM org.apache.catalina.core.StandardContext startInternal
Jul 15 13:34:48 localhost server: SEVERE: Error listenerStart


A workaround is

mv /etc/candlepin/certs/amqp /etc/candlepin/certs/amqp.bak
satellite-installer

Comment 2 Stephen Benjamin 2016-10-13 16:15:10 UTC
Created redmine issue http://projects.theforeman.org/issues/16918 from this bug

Comment 3 pm-sat@redhat.com 2017-01-28 03:10:04 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 4 pm-sat@redhat.com 2017-01-30 01:09:57 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 5 Bryan Kearney 2018-09-04 17:59:54 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.